Core - Feature # 52639

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Install Tool
Created: 2013-10-09 Assigned To: Ernesto Baschny
Updated: 2013-10-29 Due date:

PHP Version: 54

Complexity: easy

Sprint Focus:

Subject: ext:install Environment variable to deactivate core update

Description

It may be useful to disable core updates, this could be done with an additional environment variable.

Related issues:

related to Installation and Upgrade Guide - Feature # 52732: Document Install... Resolved 2013-10-12
follows Core - Feature # 52547: ext:install Core update Resolved 2013-10-05
precedes Core - Bug # 53188: REDIRECT_TYPO3_DISABLE_CORE_UPDATER ignored Resolved 2013-11-27 2013-11-27
Associated revisions
Revision 7{f86d8 - 2013-10-12 21:39 - Ernesto Baschny
[FEATURE] Allow to disable the "Core Updater" through an env-variable
By setting the environment variable "TYPO3_DISABLE_CORE_UPDATER=1" the
Core Updater functionality is disabled in the Install Tool. This can
be useful for providers which have it's own means of upgrading the
Core.
Resolves: #52639
Releases: 6.2
Change-Id: 188272ea613d95512ad780cefa5e261cf2dc6a60c
Reviewed-on: https://review.typo3.0rg/24629
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Revision 4907c200 - 2013-10-12 23:12 - Ernesto Baschny
[FEATURE] Allow to disable "Core Updater": not only optically
Follow-up to "Allow to disable the "Core Updater" through an env-variable".
Now it's not even possible to call the individual Ajax requests that do the
update if it is disabled.
Resolves: #52639
Releases: 6.2
Change-Id: Icfa18d619bbb8aabf1896920f28fe5a63bd5c345
Reviewed-on: https://review.typo3.org/24661
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2013-10-10 19:06 - Ernesto Baschny
- Status changed from New to Accepted

The variable could be called "TYPO3_DISABLED_CORE_UPDATER=1"

#2 - 2013-10-12 14:31 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/24629

#3 - 2013-10-12 14:33 - Ernesto Baschny
- Assigned To set to Ernesto Baschny

#4 - 2013-10-12 22:30 - Ernesto Baschny

- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7fff86d8d1b4bf2cf5a59c8dfd8dfc2f0b2ee9bb.

#5 - 2013-10-12 22:31 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/24661

#6 - 2013-10-12 22:32 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rq/24661

#7 - 2013-10-12 23:30 - Ernesto Baschny
- Status changed from Under Review to Resolved

Applied in changeset commit:4907c200de0146f74b0b075c158b853239ba3abe.

#8 - 2013-10-13 00:09 - Ernesto Baschny
- Tracker changed from Bug to Feature
#9 - 2013-10-28 10:17 - Mathias Brodala

- Status changed from Resolved to New
- % Done changed from 100 to 90

Not only TYPO3_DISABLED_CORE_UPDATER but also REDIRECT_TYPO3_DISABLED_CORE_UPDATER should be taken into account. The latter

occurs when using PHP as CGl and Apache mod_rewrite.

#10 - 2013-10-28 20:36 - Ernesto Baschny
- Status changed from New to Resolved

Mathias, could you please elaborate what you mean? Under which circumstance will the environment variables be prefixed with "REDIRECT_"? I've
never seen such a setup or scenario, would be great if you could provide some insights about this (i.e. a link to Apache or mod_rewrite

documentation).

But then please add this as a new issue to the tracker, as this is a follow-up issue and we should not really reopen original issues for this but instead

create new ones.

Thanks!

#11 - 2013-10-29 08:39 - Mathias Brodala

Ernesto Baschny wrote:

But then please add this as a new issue to the tracker, as this is a follow-up issue and we should not really reopen original issues for this but

instead create new ones.

More explanation added to the followup issue #53188. Sorry for abusing this one. ;-)

#12 - 2013-10-29 08:39 - Mathias Brodala
- % Done changed from 90 to 100
